Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0015178
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajorhave not tried2010-11-11 18:592010-12-31 08:07
ReportermarvintmView Statuspublic 
Assigned Tomarvintm 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision3e4ba05c6ca0
ProjectionnoneETAnoneTarget Version2.50MP25
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0015178: Users shouldn't be able to apply a dataset if it hasn't changed

DescriptionCurrently the Enterprise Module Management shows all the modules which contain datasets, regardless of whether they changed from the last time they were inserted or not.

This allows the user to reapply a dataset several times. This should be avoided.
Proposed SolutionThe idea is to save the checksum of the dataset inside a new column of the AD_DATASET table. When the Enterprise Module Management is opened, this checksums are compared with the content of a new column in AD_ORGMODULE and if they are found to be different, then the module is shown, and otherwise is not shown.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00153532.50MP25 closedmarvintm Usuing Dataset: 'Export referencedata' trigger 'db has local changes check' but is not protected by 'isindevelopment' 
related to design defect 0015355 scheduledplatform Module having 2 datasets, 1 changed, Applying will still overwrite data in unchanged dataset 
related to defect 0015555 closedalostale In Oracle, Enterprise Module Management window shows an error message on open 

-  Notes
(0032633)
hgbot (developer)
2010-11-16 13:18

Repository: erp/devel/pi
Changeset: 3e4ba05c6ca00c5b53eafeb0bd25193df72e52ff
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Tue Nov 16 13:16:29 2010 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/3e4ba05c6ca00c5b53eafeb0bd25193df72e52ff [^]

Fixed issue 15178. Modules containing datasets will not be shown in the Enterprise Module Management if the datasets didn't change

---
M src-db/database/model/tables/AD_DATASET.xml
M src-db/database/model/tables/AD_ORGMODULE.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_ELEMENT.xml
M src/org/openbravo/erpCommon/ad_actionButton/ExportReferenceData.java
M src/org/openbravo/erpCommon/ad_forms/UpdateReferenceData.java
M src/org/openbravo/erpCommon/ad_forms/UpdateReferenceData_data.xsql
M src/org/openbravo/erpCommon/modules/ModuleReferenceDataOrgTree.java
---
(0032636)
hgbot (developer)
2010-11-16 16:02

Repository: erp/devel/pi
Changeset: 9d7ba60a5d711bb95b495fcd030cc079b5c631cb
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Tue Nov 16 16:00:52 2010 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/9d7ba60a5d711bb95b495fcd030cc079b5c631cb [^]

Related to issue 15178. Fixed small issue with module version in ad_orgmodule. Added order in checksum concatenation.

---
M src/org/openbravo/erpCommon/ad_forms/UpdateReferenceData_data.xsql
M src/org/openbravo/erpCommon/modules/ModuleReferenceDataOrgTree.java
---
(0032648)
hudsonbot (developer)
2010-11-16 22:11

A changeset related to this issue has been promoted to main after passing a series of tests and an OBX has been generated:

Changeset: http://code.openbravo.com/erp/devel/main/rev/3e4ba05c6ca0 [^]
Merge Changeset: http://code.openbravo.com/erp/devel/main/rev/aa44e0a959be [^]
Tests: http://builds.openbravo.com/view/int/ [^]
OBX: http://builds.openbravo.com/erp/core/obx/OpenbravoERP-2.50CI.18902.obx [^]
(0032650)
hudsonbot (developer)
2010-11-17 04:28

A changeset related to this issue has been promoted to main after passing a series of tests and an OBX has been generated:

Changeset: http://code.openbravo.com/erp/devel/main/rev/9d7ba60a5d71 [^]
Merge Changeset: http://code.openbravo.com/erp/devel/main/rev/b1b58a335fa9 [^]
Tests: http://builds.openbravo.com/view/int/ [^]
OBX: http://builds.openbravo.com/erp/core/obx/OpenbravoERP-2.50CI.18904.obx [^]
(0032737)
hgbot (developer)
2010-11-19 13:34

Repository: erp/devel/pi
Changeset: 2bed18e7f3af9d2fb21c004389b58801748b49d0
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Fri Nov 19 13:32:46 2010 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/2bed18e7f3af9d2fb21c004389b58801748b49d0 [^]

Related to issue 15178. Now datasets of the proper accesslevel will be taken into account in the check

---
M src/org/openbravo/erpCommon/modules/ModuleReferenceDataOrgTree.java
---
(0032762)
hudsonbot (developer)
2010-11-19 20:08

A changeset related to this issue has been promoted to main after passing a series of tests and an OBX has been generated:

Changeset: http://code.openbravo.com/erp/devel/main/rev/2bed18e7f3af [^]
Merge Changeset: http://code.openbravo.com/erp/devel/main/rev/4960cae97b54 [^]
Tests: http://builds.openbravo.com/view/int/ [^]
OBX: http://builds.openbravo.com/erp/core/obx/OpenbravoERP-2.50CI.18970.obx [^]
(0033010)
shuehner (administrator)
2010-12-02 16:24

Reviewed & test on pi/pgsql (rev: cb6a144e18fd). Besides the two issues (marked as related to this one) working fine. If no dataset in a module did change the module is filtered out in the 'EnterpriseModuleManagement', if at least one dataset in a module is changed, then the entry is shown and all (!) datasets in the module are applied.
Having any not updated module (not having the new checksum column) behaves live 'dataset is changed'.
Also on upgrades from <MP24 the system does not yet if a specific dataset version/checksum has already been applied so will offer the dataset for application (once).
(0033488)
alostale (manager)
2010-12-31 08:06

It doesn't work in Oracle
(0033489)
alostale (manager)
2010-12-31 08:07

It doesn't work in Oracle: issue 0015555

- Issue History
Date Modified Username Field Change
2010-11-11 18:59 marvintm New Issue
2010-11-11 18:59 marvintm Assigned To => marvintm
2010-11-15 07:56 alostale Status new => scheduled
2010-11-16 13:18 hgbot Checkin
2010-11-16 13:18 hgbot Note Added: 0032633
2010-11-16 13:18 hgbot Status scheduled => resolved
2010-11-16 13:18 hgbot Resolution open => fixed
2010-11-16 13:18 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/3e4ba05c6ca00c5b53eafeb0bd25193df72e52ff [^]
2010-11-16 16:02 hgbot Checkin
2010-11-16 16:02 hgbot Note Added: 0032636
2010-11-16 22:11 hudsonbot Checkin
2010-11-16 22:11 hudsonbot Note Added: 0032648
2010-11-17 04:28 hudsonbot Checkin
2010-11-17 04:28 hudsonbot Note Added: 0032650
2010-11-19 13:34 hgbot Checkin
2010-11-19 13:34 hgbot Note Added: 0032737
2010-11-19 20:08 hudsonbot Checkin
2010-11-19 20:08 hudsonbot Note Added: 0032762
2010-12-02 13:16 shuehner Relationship added related to 0015353
2010-12-02 14:24 shuehner Relationship added related to 0015355
2010-12-02 16:24 shuehner Note Added: 0033010
2010-12-02 16:24 shuehner Status resolved => closed
2010-12-09 16:07 anonymous sf_bug_id 0 => 3133558
2010-12-31 08:05 alostale Relationship added related to 0015555
2010-12-31 08:06 alostale Note Added: 0033488
2010-12-31 08:07 alostale Note Added: 0033489


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker